Bug 37011 - Impress looses header/footer settings for handouts after saving; apply them again in same document is impossible
Summary: Impress looses header/footer settings for handouts after saving; apply them a...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Print-Dialog Impress-UX
  Show dependency treegraph
 
Reported: 2011-05-09 05:43 UTC by bellgardt
Modified: 2020-06-02 19:56 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample file for header footer problem (24.53 KB, application/vnd.oasis.opendocument.presentation)
2011-05-10 07:08 UTC, bellgardt
Details
PDF printed using 4.5 alpha from 19 Jan 2015 (14.63 KB, application/pdf)
2015-01-20 14:02 UTC, Buovjaga
Details
PDF showing the correct headers and footers (37.92 KB, application/pdf)
2015-01-21 08:44 UTC, bellgardt
Details
PDF showing correct layout and headers/footers (38.56 KB, application/pdf)
2015-01-21 08:56 UTC, bellgardt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bellgardt 2011-05-09 05:43:00 UTC
The header and footer settings for handouts are not saved but must be reapplied every time the file is reopened (menu view->headers/footers. 

Another bug is that this dialog does not works as expected. Often one has to apply it several time to get the expected result. E.g. the settings for handout view seem to be only applied if the handout view is also activated in impress. In my opinion that dialog should work in every view, otherwise there would be no need for two tabs in it. Also the dialog button "Apply to all" should apply to both tabs and not only the activated one.
Comment 1 Noel Power 2011-05-10 04:35:26 UTC
(In reply to comment #0)
> The header and footer settings for handouts are not saved but must be reapplied
> every time the file is reopened (menu view->headers/footers. 
not in my experience ( at least just tested this with libreoffice 3.4.beta4 ) - can you try that one too. 
> 
> Another bug is that this dialog does not works as expected. Often one has to
> apply it several time to get the expected result. E.g. the settings for handout
> view seem to be only applied if the handout view is also activated in impress.
then you should file a different bug for that, it gets very confusing when many issues are mentioned in the same bug
> In my opinion that dialog should work in every view, otherwise there would be
> no need for two tabs in it. Also the dialog button "Apply to all" should apply
> to both tabs and not only the activated one.
surely the apply to all means apply to all slides ? ( at least that is what the help says )
Comment 2 bellgardt 2011-05-10 07:07:16 UTC
Just tested LO3.4beta4 and the bug still exists. I'll attach a sample file where the problem can be reproduced on my system (Windows Vista):

In the document open the print dialog, select "handout". No header and footer is shown in the preview (and in a real print). Close the dialog.

Open "View->Header and Footer...", select the tab "Notes and Handouts" and apply to all (staying in the other tab doesn't work, another bug!?).

After this, the headers and footers are shown in the print preview (and print-out).

Save the file. Close and reopen. The headers and footers of handouts disappeared again.
Comment 3 bellgardt 2011-05-10 07:08:17 UTC
Created attachment 46546 [details]
Sample file for header footer problem
Comment 4 Björn Michaelsen 2011-12-23 12:01:27 UTC Comment hidden (obsolete)
Comment 5 bellgardt 2012-03-14 09:46:03 UTC
This bug still exists in LO 3.5.1.2!
Comment 6 Rob Snelders 2012-12-02 20:31:55 UTC
renamed the title to something more clear
Comment 7 QA Administrators 2015-01-05 17:51:03 UTC Comment hidden (obsolete)
Comment 8 bellgardt 2015-01-06 14:40:03 UTC
Bug also present in LO 4.3.5.2, Build-ID: 3a87456aaa6a95c63eea1c1b3201acedf0751bd5
on same system as before. Tested with 32-bit version on Windows 7, 64 bit.
Comment 9 Buovjaga 2015-01-20 14:02:29 UTC
Created attachment 112547 [details]
PDF printed using 4.5 alpha from 19 Jan 2015

Here is my PDF printed output. Is this wrong?
I don't have any View->Header and Footer. Can you say, how to reproduce the correct result in 4.3+?

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 07e84cae983c08afdba03018413a19d01abb3006
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-19_06:15:38
Comment 10 bellgardt 2015-01-21 08:44:26 UTC
Created attachment 112591 [details]
PDF showing the correct headers and footers

This attachment shows the "correct" (see also next attachment) printout of the handout including headers and footers, created with LO 4.3.5. To reproduce this go to View > Headers & Footers > Notes and handouts > Apply to all and then print the handout. 

After closing the document and reopening the settings again are lost.
Comment 11 bellgardt 2015-01-21 08:56:49 UTC
Created attachment 112592 [details]
PDF showing correct layout and headers/footers

This pdf shows the handout as it actually should look (2 rows, 2 columns), created from LO3.6. The incorrect layout in LO4 (2 rows, 3 colums) is another bug (80866).
Comment 12 Buovjaga 2015-01-21 09:08:42 UTC
Thanks. 4.5 has the View - Headers & Footers removed, so I got confused!
I got the same results as you in 
Win 7 Pro 64-bit, LibO Version: 4.3.6.1
Build ID: 9629686a67dd1f357477c13325e45a66f3452bb9
Comment 13 QA Administrators 2016-09-20 10:20:51 UTC Comment hidden (obsolete)
Comment 14 bellgardt 2016-10-04 14:19:39 UTC
Bug also present in LO 5.2.2. Tested with 32-bit version of LO on Windows 7, 64 bit.

I tried to remember in which earlier version the bug was not present. For sure it worked on OO 1.5, and it seems also in early version of 2.
Comment 15 QA Administrators 2018-09-25 02:51:41 UTC Comment hidden (obsolete)
Comment 16 bellgardt 2018-10-01 14:01:19 UTC
(In reply to QA Administrators from comment #15)
Bug still exists in Version: 6.1.2.1
Build-ID: 65905a128db06ba48db947242809d14d3f9a93fe.

Compared to version 5.4 there is even a further regression: Now the header for handouts isn't shown at all, even after applying the header/footer settings to all pages again.
Comment 17 Cor Nouws 2018-10-02 10:09:12 UTC
(In reply to bellgardt from comment #16)
> (In reply to QA Administrators from comment #15)
> Bug still exists in Version: 6.1.2.1
> Build-ID: 65905a128db06ba48db947242809d14d3f9a93fe.

Confirming that in Version: 6.2.0.0.alpha0+
Build ID: 896a1f8630cc4948e23fc8cce926e4d0910feb96
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-09-30_04:43:14
Locale: nl-NL (nl_NL.UTF-8); Calc: threaded

> Compared to version 5.4 there is even a further regression: Now the header
> for handouts isn't shown at all, even after applying the header/footer
> settings to all pages again.

Indeed ..
Comment 18 Buovjaga 2018-10-03 15:17:47 UTC
(In reply to bellgardt from comment #16)
> (In reply to QA Administrators from comment #15)
> Bug still exists in Version: 6.1.2.1
> Build-ID: 65905a128db06ba48db947242809d14d3f9a93fe.
> 
> Compared to version 5.4 there is even a further regression: Now the header
> for handouts isn't shown at all, even after applying the header/footer
> settings to all pages again.

I bibisected the problem and noticed there were reports for the same commit, so I added a comment in one of them: https://bugs.documentfoundation.org/show_bug.cgi?id=116386#c17
Comment 19 Steve 2018-11-27 16:05:45 UTC
Still an in issue in 6.0.6.2
Comment 20 Steve 2018-11-27 16:15:13 UTC
(In reply to Steve from comment #19)
> Still an in issue in 6.0.6.2

Sorry, no it isn't... in my case I had the default colour for text set as white (as my presentations are white text on a blue background).... so I had to set the text colour manually to black for each of the header and footer areas...
Comment 21 QA Administrators 2019-11-28 04:08:14 UTC Comment hidden (obsolete)
Comment 22 Regina Henschel 2020-06-02 19:48:06 UTC
The bug still exists in Version: 6.4.5.0.0+ (x64)
Build ID: 70a2071ce91b71326659e645dd97996262ea309a
CPU threads: 8; OS: Windows 10.0 Build 18362; UI render: default; VCL: win; 
Locale: de-DE (en_US); UI-Language: en-US
Calc: CL